티스토리 뷰

OS/CentOS

[CentOS] Control Node 에 Ansible 설치

kkd927 kkd927 2014.08.07 13:21

Control Machine Requiremets

- Python 2.6 버전 이상


Manged Node Requirements

- Python 2.4버전 이상

(2.5이하 버전은 python-simplejson 패키지 추가 설치 필요 - ansible raw module 을 이용하여 관리 가능)


설치 환경

- CentOS 5.10

6.x 버전은 기본으로 Python 2.6 이상의 버전이 설치되어 있기 때문에 파이썬 업그레이드 필요없이 바로 ansible 설치


설치 순서

1. Python 2.7 업그레이드   [링크]

2014/07/22 - [OS/CentOS] - CentOS 5.x 에서 Python 2.7 업그레이드 하기


2. Python Setuptools & pip 설치   [링크]

2014/07/23 - [OS/CentOS] - CentOS 5.x 에서 python-setuptools & pip 설치(python2.7 버전)


3. Ansible 설치

3-1. git clone git://github.com/ansible/ansible.git

3-2. cd ./ansible
3-3. source ./hacking/env-setup
3-4. pip install paramiko PyYAML jinja2 httplib2


명령어 코드 복사는 하단의 view raw 클릭


댓글